Subject: Make global objects, that should be available in runtime evaluations, configurable
Description

At the moment only current.party can be referenced within a pointcut expression. There should be a configuration setting where you
can register other objects under the "current." scope. The setting must have an unique name like "party" and a PHP statement, that
retrieves this object like "$objectManager->getObject('foo')->getSomething();"

Associated revisions
Revision 23ce4758 - 2010-06-23 14:31 - Andreas Förthner

    -  [+TASK] FLOW3 (Object): Added session scope related methods to the object manager and interface.
    -  [+FEATURE] FLOW3 (AOP): Added a matches operator as a new possibility for runtime evaluations.
    -  [+FEATURE] FLOW3 (AOP): Global objects available in runtime evaluations can now be configured in the settings. Resolves #6598.
    -  [+FEATURE] FLOW3 (Security): Implemented query rewriting according to the security policy. Relates to #5659, Resolves #6604.

History
#1 - 2010-06-23 14:35 - Andreas Förthner
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r4613.

#2 - 2010-06-24 12:51 - Andreas Förthner
- Status changed from Resolved to Accepted

We should simply use object names and fetch the objects from the object manager. No evil eval anymore.

#3 - 2010-07-09 14:18 - Robert Lemke
- Status changed from Accepted to Resolved
- Target version set to 1.0 alpha 10
